extends Node

## Nodes
func get_body_node():
	return $KinematicBody2D
func get_sprite_node():
	return $KinematicBody2D/AnimatedSprite
func is_player():
	return true
	
## Parameters
func set_gpos(new_pos):
	return get_body_node().set_gpos(new_pos)
func get_gpos():
	return get_body_node().get_gpos()
func set_internal_velocity(new_vel):
	get_body_node().set_internal_velocity(new_vel)
func get_overlapping_areas():
	return get_body_node().get_overlapping_areas()
func get_overlapping_bodies():
	return get_body_node().get_overlapping_bodies()

## Logic
func animate(animation):
	get_sprite_node().play(animation)
